Bug 20165 - Capitalization: Street Address should be Street address in patron search options
Summary: Capitalization: Street Address should be Street address in patron search options
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Olivia
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2018-02-09 07:02 UTC by Katrin Fischer
Modified: 2019-01-30 08:20 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 20165 : Changed uppercase letter to a lowercase letter in the patron search search fields under the plus option. (1.45 KB, patch)
2019-01-15 03:27 UTC, Olivia
Details | Diff | Splinter Review
Bug 20165 : Changed uppercase letter to a lowercase letter in the patron search search fields under the plus option. (1.45 KB, patch)
2019-01-15 20:28 UTC, Olivia
Details | Diff | Splinter Review
Bug 20165: Changed uppercase letter to a lowercase letter in the patron search search fields under the plus option. (1.66 KB, patch)
2019-01-15 21:42 UTC, Olivia
Details | Diff | Splinter Review
Bug 20165: Changed uppercase letter to a lowercase letter in the patron search search fields under the plus option. (1.71 KB, patch)
2019-01-15 22:36 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 20165: Changed uppercase letter to a lowercase letter in the patron search search fields under the plus option. (1.77 KB, patch)
2019-01-16 19:58 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2018-02-09 07:02:08 UTC
The search options for patron search include "Street Address". This should be fixed to be "Street address" instead to follow our capitalization rules.

To test:
- Go to "Patrons"
- Switch in top search to tab "Search patrons"
- Click on + sign
- Check "Search fields" pull down
- Compare to same pull down in the filters at the right side
-> top search option is spelled wrong, the one on the right is correct
Comment 1 Olivia 2019-01-15 03:27:38 UTC
Created attachment 83929 [details] [review]
Bug 20165 : Changed uppercase letter to a lowercase letter in the patron search search fields under the plus option.

Changed "Street Address" to "Street address" in the patron search search
fields under the plus sign to fit Koha's capitalization rules.

To find this change:

1. Go to Patrons and switch in the search to search patrons
2. Click on the plus sign
3. Check "Search fields" pull down
4. "Street Address" should now be "Street address"
Comment 2 David Nind 2019-01-15 09:11:50 UTC
Hi Olivia.

I couldn't get your patch to work.

I think line 53 needs to be changed as well:

53   <option value='address'>Street Address</option>

David Nind
Comment 3 Olivia 2019-01-15 20:28:04 UTC
Created attachment 84012 [details] [review]
Bug 20165 : Changed uppercase letter to a lowercase letter in the patron search search fields under the plus option.

Changed "Street Address" to "Street address" in the patron search search
fields under the plus sign to fit Koha's capitalization rules.

To find this change:

1. Go to Patrons and switch in the search to search patrons
2. Click on the plus sign
3. Check "Search fields" pull down
4. "Street Address" should now be "Street address"
Comment 4 Katrin Fischer 2019-01-15 20:29:47 UTC
Hi Olivia, can you take another look? I think you uploaded the same patch again, It shows the "Street Address" remaining a few lines below your change.
Comment 5 Olivia 2019-01-15 21:42:30 UTC
Created attachment 84025 [details] [review]
Bug 20165: Changed uppercase letter to a lowercase letter in the patron search search fields under the plus option.

Changed "Street Address" to "Street address" in the patron search search
fields under the plus sign to fit Koha's capitalization rules.

To find this change:

1. Go to Patrons and switch in the search to search patrons
2. Click on the plus sign
3. Check "Search fields" pull down
4. "Street Address" should now be "Street address"
Comment 6 ByWater Sandboxes 2019-01-15 22:36:18 UTC
Created attachment 84029 [details] [review]
Bug 20165: Changed uppercase letter to a lowercase letter in the patron search search fields under the plus option.

Changed "Street Address" to "Street address" in the patron search search
fields under the plus sign to fit Koha's capitalization rules.

To find this change:

1. Go to Patrons and switch in the search to search patrons
2. Click on the plus sign
3. Check "Search fields" pull down
4. "Street Address" should now be "Street address"

Signed-off-by: David Nind <david@davidnind.com>
Comment 7 David Nind 2019-01-15 22:39:26 UTC
Nice work Olivia!
Comment 8 Katrin Fischer 2019-01-16 19:58:25 UTC
Created attachment 84078 [details] [review]
Bug 20165: Changed uppercase letter to a lowercase letter in the patron search search fields under the plus option.

Changed "Street Address" to "Street address" in the patron search search
fields under the plus sign to fit Koha's capitalization rules.

To find this change:

1. Go to Patrons and switch in the search to search patrons
2. Click on the plus sign
3. Check "Search fields" pull down
4. "Street Address" should now be "Street address"

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Nick Clemens 2019-01-17 02:27:42 UTC
Awesome work Olivia!

Pushed to master for 19.05
Comment 10 Martin Renvoize 2019-01-23 12:23:02 UTC
Pushed to 18.11.x for 18.11.03
Comment 11 Jesse Maseto 2019-01-23 19:25:11 UTC
Pushed to 18.05.x for 18.05.09
Comment 12 Fridolin SOMERS 2019-01-30 08:20:40 UTC
I dont push to 17.11.x to minimize translation work